{******************************************************************************}
{*                                                                            *}
{*               Adirondack Software & Graphics ImageSize Unit                *}
{*          (C) Copyright Adirondack Software & Graphics 1996-1998            *}
{*                                                                            *}
{******************************************************************************}

unit imagesize;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, ComCtrls, NetGradient;

type
  TImageSizeDlg = class( TForm )
    OKBtn: TButton;
    CancelBtn: TButton;
    GroupBox1: TGroupBox;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    Label2: TLabel;
    TrackBar2: TTrackBar;
    NetGradient1: TNetGradient;
    procedure TrackBar1Change( Sender: TObject ) ;
    procedure TrackBar2Change( Sender: TObject ) ;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ImageSizeDlg: TImageSizeDlg;

implementation

{$R *.DFM}
{==============================================================================}
procedure TImageSizeDlg.TrackBar1Change( Sender: TObject ) ;
{==============================================================================}
begin
  Label1.Caption := 'Image Width: ' + IntToStr( TrackBar1.Position ) ;
end;

{==============================================================================}
procedure TImageSizeDlg.TrackBar2Change( Sender: TObject ) ;
{==============================================================================}
begin
  Label2.Caption := 'Image Height: ' + IntToStr( TrackBar2.Position ) ;
end;

end.
